Index: trunk/docs/api/classes.txt
===================================================================
--- trunk/docs/api/classes.txt	(revision 140)
+++ trunk/docs/api/classes.txt	(revision 140)
@@ -0,0 +1,44 @@
+.. _api-classes:
+
+Classes
+=======
+
+ZOO API Class documentation is under development.
+
+ZOO.Bounds
+
+ZOO.Projection
+
+ZOO.Format
+
+ZOO.Format.WKT
+
+ZOO.Format.JSON
+
+ZOO.Format.GeoJSON
+
+ZOO.Format.KML
+
+ZOO.Format.GML
+
+ZOO.Feature
+
+ZOO.Geometry
+
+ZOO.Geometry.Point
+
+ZOO.Geometry.Surface
+
+ZOO.Geometry.MultiPoint?
+
+ZOO.Geometry.Curve
+
+ZOO.Geometry.LineString?
+
+ZOO.Geometry.LinearRing?
+
+ZOO.Geometry.MultiLineString?
+
+ZOO.Geometry.MultiPolygon?
+
+ZOO.Process 
Index: trunk/docs/api/description.txt
===================================================================
--- trunk/docs/api/description.txt	(revision 140)
+++ trunk/docs/api/description.txt	(revision 140)
@@ -0,0 +1,41 @@
+.. _api-description:
+
+Description
+===========
+
+ZOO API is a Javascript library designed to make the WPS Process creation and chaining 
+easier. It works server-side using the Mozilla foundation  JavaScript engine,  SpiderMonkey. 
+It uses a  Proj4js adaptation for server-side reprojection. It also allows to easily 
+convert vector formats ( GML,  KML,  GeoJSON, etc). The API let you orchestrate WPS 
+services simply and offers the ability to add logic and controls in the WPS chaining.
+
+Download ZOO API
+----------------
+
+    * zoo-api.js
+    * zoo-proj4js.js 
+
+ZOO API MIT/X-11 License
+------------------------
+
+::
+
+  Copyright (c) 2010 3LIZ
+
+  Permission is hereby granted, free of charge, to any person obtaining a copy of this 
+  software and associated documentation files (the "Software"), to deal in the Software 
+  without restriction, including without limitation the rights to use, copy, modify, 
+  merge, publish, distribute, sublicense, and/or sell copies of the Software, and to 
+  permit persons to whom the Software is furnished to do so, subject to the following 
+  conditions:
+
+  The above copyright notice and this permission notice shall be included in all copies 
+  or substantial portions of the Software.
+
+  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
+  INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR 
+  PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE 
+  LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, 
+  TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE 
+  OR OTHER DEALINGS IN THE SOFTWARE. 
+
Index: trunk/docs/api/examples.txt
===================================================================
--- trunk/docs/api/examples.txt	(revision 140)
+++ trunk/docs/api/examples.txt	(revision 140)
@@ -0,0 +1,54 @@
+.. _api-examples:
+
+Examples
+========
+
+In this page you can find some small examples on how to use the JavaScript ZOO-API 
+on the server side.
+
+ZOO-API contains many classes and functions. You can find the description list here.
+
+ZOO.Process example of use
+--------------------------
+
+::
+
+  function SampleService(conf,inputs,outputs){
+     var myProcess = new ZOO.Process('http://localhost/cgi-bin-new1/zoo_loader_new1.cgi','Boundary');
+     var myInputs = {InputPolygon: { type: 'complex', value: '{"type":"Polygon","coordinates":[[[-106.993853,35.998758],[-107.407233,35.997524],[-107.430525,35.997726],[-107.4824,35.99878],[-108.37013,35.999472],[-109.043633,35.996652],[-109.096265,35.997817],[-109.148763,36.001751],[-109.200981,36.008442],[-109.252775,36.017871],[-109.304,36.030014],[-109.354516,36.044835],[-106.468201,35.991497],[-106.855511,35.989504],[-106.90933,35.990676],[-106.963008,35.994743],[-106.993853,35.998758]]]}', mimeType: "application/json"} };
+     var myExecuteResult=myProcess.Execute(myInputs);
+     return {result: ZOO.SERVICE_SUCCEEDED, outputs: [ {name:"Result", value: myExecuteResult} ] };
+  }
+
+In this really short example you can see how to create ZOO.Process class instance and 
+call the Execute method on such an instance. Then you'll just need to return a JavaScript 
+object containing the attributes result and outputs, which I'm sure you already know 
+what is about. The first is about the status of the process (can be ZOO.SERVICE_
+SUCEEDED,ZOO.SERVICE_FAILED ad so on), the last is obviously the resulting maps (take a 
+look at the maps internal data structure used by ZOO Kernel in service.h).
+
+ZOO.UpdateStatus
+----------------
+
+::
+
+  function SampleLongService(conf,inputs,outputs){
+     var my_i=0;
+     while(my_i<100){
+         try{
+           conf["lenv"]["status"]=my_i;
+         }
+         catch(e){
+         }
+         ZOOUpdateStatus(conf,my_i);
+         SampleService(conf,inputs,outputs);
+         my_i+=10;
+     }
+     return SampleService(conf,inputs,outputs);
+  }
+
+You can see in this sample code how to use the ZOOUpdateStatus function to update the 
+current status of your running process. This information will be really helpfull when the 
+ZOO Kernel will run your JavaScript Service in background mode (if the user set to true 
+the storeExecuteResponse parameter in his request).
+
Index: trunk/docs/api/index.txt
===================================================================
--- trunk/docs/api/index.txt	(revision 139)
+++ trunk/docs/api/index.txt	(revision 140)
@@ -4,16 +4,11 @@
 =====================
 
-Here are listed all the available documentation about ZOO Kernel.
+The following sections will assist you with the ZOO API:
 
-Compilation
------------
+.. toctree::
+   :maxdepth: 2
+   
+   description
+   classes
+   examples
 
-- How to compile and install ZOO-Kernel 
-
-Installation
-------------
-
-- How to install ZOO-Kernel on Debian like distributions (Ubuntu 10.4)
-- How to install ZOO-Kernel on CentOS 5.5.
-- How to configure PHP support 
-