Index: trunk/docs/api/zoo-bounds.txt
===================================================================
--- trunk/docs/api/zoo-bounds.txt	(revision 169)
+++ trunk/docs/api/zoo-bounds.txt	(revision 170)
@@ -87,54 +87,168 @@
   Construct a new bounds object.
   
+  *Parameters*
+
+  | ``left {Number}`` The left bounds of the box.  Note that for width calculations, this is assumed to be less than the right value.
+  | ``bottom {Number}`` The bottom bounds of the box.  Note that for height calculations, this is assumed to be more than the top value.
+  | ``right {Number}`` The right bounds.
+  | ``top {Number}`` The top bounds.  
+  
 .. _clone:       
 
 clone	
+  ::
+  
+    clone:function()
+
   Create a cloned instance of this bounds.
 
+  *Returns*
+
+  :ref:`{ZOO.Bounds} <api-zoo-bounds>` A fresh copy of the bounds
+
 .. _equals:       
 
 equals	
+  ::
+  
+    equals:function(bounds)
+
   Test a two bounds for equivalence.
 
+  *Parameters*
+  
+  | ``bounds {ZOO.Bounds}``
+  
+  *Returns*
+
+  ``{Boolean}`` The passed-in bounds object has the same left, right, top, bottom components as this.  Note 
+  that if bounds passed in is null, returns false.
+
 .. _toString: 
 
 toString	
-  {String} String representation of bounds object.
+  :: 
+  
+    toString:function()
+
+  *Returns*
+
+  ``{String}`` String representation of bounds object.  (ex. *<i>"left-bottom=(5,42) right-top=(10,45)"</i>*)
   
 .. _toBBOX:   
   
 toBBOX	
+  ::
+  
+    toBBOX:function(decimal)
+
+  *Parameters*
+  
+  ``decimal {Integer}`` How many significant digits in the bbox coords?  Default is 6
+
+  *Returns*
+
+  ``{String}`` Simple String representation of bounds object.  (ex. *<i>"5,42,10,45"</i>*)  
 
 .. _toGeometry:   
 
 toGeometry	
+  ::
+  
+    toGeometry: function()
+
   Create a new polygon geometry based on this bounds.
+
+  *Returns*
+
+  :ref:`{ZOO.Geometry.Polygon} <api-zoo-geometry-polygon>` A new polygon with the coordinates of this bounds.
   
 .. _getWidth:     
 
 getWidth	
-  {Float} The width of the bounds
+  ::    
+  
+    getWidth:function()
+
+  *Returns*
+
+  ``{Float}`` The width of the bounds
   
 .. _getHeight:       
   
 getHeight	
-  {Float} The height of the bounds (top minus bottom)
+  ::
+  
+    getHeight:function()
+
+  *Returns*
+
+  ``{Float}`` The height of the bounds (top minus bottom).
 
 .. _add:       
 
 add
+  ::
+  
+    add:function(x,y)
+
+  *Parameters*
+
+  | ``x	{Float}``
+  | ``y	{Float}``
+
+  *Returns*
+
+  :ref:`{ZOO.Bounds} <api-zoo-bounds>` A new bounds whose coordinates are the same as this, but shifted by the passed-in x and y values.
 
 .. _extend:       
 
 extend	
-  Extend the bounds to include the point, lonlat, or bounds specified.
+  ::
+  
+    extend:function(object)
+
+  Extend the bounds to include the point, lonlat, or bounds specified.  Note, this function assumes that left 
+  < right and bottom < top.
+  
+  *Parameters*
+  
+  ``object {Object}`` Can be Point, or Bounds.
   
 .. _intersectsBounds:         
   
 intersectsBounds	
-  Determine whether the target bounds intersects this bounds.
+  ::
+  
+    intersectsBounds:function(bounds,inclusive)
+
+  Determine whether the target bounds intersects this bounds.  Bounds are considered intersecting if any 
+  of their edges intersect or if one bounds contains the other.
+
+  *Parameters*
+  
+  | ``bounds`` :ref:`{ZOO.Bounds} <api-zoo-bounds>` The target bounds.
+  | ``inclusive	{Boolean}`` Treat coincident borders as intersecting.  Default is true.  If false, bounds that do not overlap but only touch at the border will not be considered as intersecting.
+
+  *Returns*
+
+  ``{Boolean}`` The passed-in bounds object intersects this bounds.
  
 .. _containsBounds:          
  
 containsBounds	
+  ::
+  
+    containsBounds:function(bounds,partial,inclusive)
+
   Determine whether the target bounds is contained within this bounds.
+
+  *Parameters*
+  
+  | ``bounds`` :ref:`{ZOO.Bounds} <api-zoo-bounds>` The target bounds.
+  | ``partial {Boolean}`` If any of the target corners is within this bounds consider the bounds contained.  Default is false.  If true, the entire target bounds must be contained within this bounds.
+  | ``inclusive	{Boolean}`` Treat shared edges as contained.  Default is true.
+
+  *Returns*
+
+  ``{Boolean}`` The passed-in bounds object is contained within this bounds.
Index: trunk/docs/api/zoo.txt
===================================================================
--- trunk/docs/api/zoo.txt	(revision 169)
+++ trunk/docs/api/zoo.txt	(revision 170)
@@ -161,6 +161,6 @@
   *Parameters:*
 
-  | ``p1`` :ref:`{ZOO.Geometry.Point} <zoo-geometry-point>` (or any object with both .x, .y properties)
-  | ``p2`` :ref:`{ZOO.Geometry.Point} <zoo-geometry-point>` (or any object with both .x, .y properties)
+  | ``p1`` :ref:`{ZOO.Geometry.Point} <api-zoo-geometry-point>` (or any object with both .x, .y properties)
+  | ``p2`` :ref:`{ZOO.Geometry.Point} <api-zoo-geometry-point>` (or any object with both .x, .y properties)
 
 .. _Class: