Index: trunk/docs/api/zoo-format-json.txt
===================================================================
--- trunk/docs/api/zoo-format-json.txt	(revision 165)
+++ trunk/docs/api/zoo-format-json.txt	(revision 175)
@@ -87,25 +87,25 @@
 
 indent	
-  {String} For "pretty" printing, the indent string will be used once for each indentation level.
+  ``{String}`` For "pretty" printing, the indent string will be used once for each indentation level.
   
 .. _space:     
   
 space	
-  {String} For "pretty" printing, the space string will be used after the ":" separating a name/value pair.
+  ``{String}`` For "pretty" printing, the space string will be used after the ":" separating a name/value pair.
   
 .. _newline:       
   
 newline	
-  {String} For "pretty" printing, the newline string will be used at the end of each name/value pair or array item.
+  ``{String}`` For "pretty" printing, the newline string will be used at the end of each name/value pair or array item.
   
 .. _level:        
   
 level	
-  {Integer} For "pretty" printing, this is incremented/decremented during serialization.
+  ``{Integer}`` For "pretty" printing, this is incremented/decremented during serialization.
   
 .. _pretty:          
   
 pretty	
-  {Boolean} Serialize with extra whitespace for structure.
+  ``{Boolean}`` Serialize with extra whitespace for structure. This is set by the :ref:`write <write>` method.
   
 **Functions**
@@ -115,29 +115,83 @@
 ZOO.Format.JSON	
   Create a new parser for JSON.
+
+  *Parameters*
+  
+  ``options {Object}`` An optional object whose properties will be set on this instance. 
   
 .. _read:            
   
 read	
+  ::
+  
+    read: function(json,filter)
+
   Deserialize a json string.
+
+  *Parameters*
+  
+  | ``json {String}`` A JSON string
+  | ``filter {Function}`` A function which will be called for every key and value at every level of the final result.  Each value will be replaced by the result of the filter function.  This can be used to reform generic objects into instances of classes, or to transform date strings into Date objects.
+
+  *Returns*
+
+  ``{Object}`` An object, array, string, or number.
   
 .. _write:              
   
 write	
+  ::
+  
+    write: function(value,pretty)
+
   Serialize an object into a JSON string.
+
+  *Parameters*
+  
+  | ``value {String}`` The object, array, string, number, boolean or date to be serialized.
+  | ``pretty {Boolean}`` Structure the output with newlines and indentation.  Default is false.
+
+  *Returns*
+
+  ``{String}`` The JSON string representation of the input value.  
   
 .. _writeIndent:               
   
 writeIndent	
+  ::
+  
+    writeIndent: function()
+
   Output an indentation string depending on the indentation level.
   
+  *Returns*
+
+  ``{String}`` An appropriate indentation string.
+  
 .. _writeNewline:               
   
 writeNewline	
+  ::
+  
+    writeNewline: function()
+
   Output a string representing a newline if in pretty printing mode.
   
+  *Returns*
+
+  ``{String}`` A string representing a new line.
+  
 .. _writeSpace:               
   
 writeSpace	
-  Output a string representing a space if in pretty printing mode.
+  ::
+  
+    writeSpace: function()
+
+  Output a string representing a space if in pretty printing mode.  
+
+  *Returns*
+
+  ``{String}`` A space.
   
 **Serialize Properties**
@@ -146,5 +200,6 @@
 
 serialize	
-  Object with properties corresponding to the serializable data types.
+  Object with properties corresponding to the serializable data types. Property 
+  values are functions that do the actual serializing.
   
 **Serialize Functions**
@@ -154,4 +209,12 @@
 serialize.object	
   Transform an object into a JSON string.
+
+  *Parameters*
+
+  ``object {Object}`` The object to be serialized.
+  
+  *Returns*
+
+  ``{String}`` A JSON string representing the object. 
   
 .. _serialize.array:                 
@@ -159,4 +222,12 @@
 serialize.array	
   Transform an array into a JSON string.
+
+  *Parameters*
+  
+  ``array {Array}`` The array to be serialized
+
+  *Returns*
+
+  ``{String}`` A JSON string representing the array. 
   
 .. _serialize.string:                   
@@ -164,4 +235,12 @@
 serialize.string	
   Transform a string into a JSON string.
+
+  *Parameters*
+  
+  ``string {String}`` The string to be serialized
+
+  *Returns*
+
+  ``{String}`` A JSON string representing the string. 
   
 .. _serialize.number:                     
@@ -169,4 +248,12 @@
 serialize.number	
   Transform a number into a JSON string.
+
+  *Parameters*
+  
+  ``number {Number}`` The number to be serialized.
+  
+  *Returns*
+
+  ``{String}`` A JSON string representing the number.  
   
 .. _serialize.boolean:                       
@@ -174,4 +261,12 @@
 serialize.boolean	
   Transform a boolean into a JSON string.
+
+  *Parameters*
+  
+  ``bool {Boolean}`` The boolean to be serialized.
+
+  *Returns*
+
+  ``{String}`` A JSON string representing the boolean. 
   
 .. _serialize.date:                         
@@ -179,2 +274,10 @@
 serialize.date	
   Transform a date into a JSON string.
+
+  *Parameters*
+  
+  ``date {Date}`` The date to be serialized.
+
+  *Returns*
+
+  ``{String}`` A JSON string representing the date.