Index: trunk/docs/api/classes.txt
===================================================================
--- trunk/docs/api/classes.txt	(revision 270)
+++ trunk/docs/api/classes.txt	(revision 271)
@@ -3,4 +3,9 @@
 Classes
 =======
+
+:Last Updated: $Date$
+:Id:    $Id$
+:Author: $Author$
+:HeadURL: $HeadURL$
 
 The following classes are available in the ZOO API:
Index: trunk/docs/kernel/install-centos.txt
===================================================================
--- trunk/docs/kernel/install-centos.txt	(revision 270)
+++ trunk/docs/kernel/install-centos.txt	(revision 271)
@@ -3,4 +3,9 @@
 CentOS
 ======
+
+:Last Updated: $Date$
+:Id:    $Id$
+:Author: $Author$
+:HeadURL: $HeadURL$
 
 .. contents:: Table of Contents
Index: trunk/docs/kernel/install-debian.txt
===================================================================
--- trunk/docs/kernel/install-debian.txt	(revision 270)
+++ trunk/docs/kernel/install-debian.txt	(revision 271)
@@ -3,4 +3,9 @@
 Debian / Ubuntu
 ===============
+
+:Last Updated: $Date$
+:Id:    $Id$
+:Author: $Author$
+:HeadURL: $HeadURL$
 
 .. contents:: Table of Contents
Index: trunk/docs/kernel/install-mac.txt
===================================================================
--- trunk/docs/kernel/install-mac.txt	(revision 270)
+++ trunk/docs/kernel/install-mac.txt	(revision 271)
@@ -3,4 +3,9 @@
 Mac OS X
 ========
+
+:Last Updated: $Date$
+:Id:    $Id$
+:Author: $Author$
+:HeadURL: $HeadURL$
 
 .. contents:: Table of Contents
Index: trunk/docs/kernel/install-opensuse.txt
===================================================================
--- trunk/docs/kernel/install-opensuse.txt	(revision 270)
+++ trunk/docs/kernel/install-opensuse.txt	(revision 271)
@@ -3,4 +3,9 @@
 OpenSUSE
 ========
+
+:Last Updated: $Date$
+:Id:    $Id$
+:Author: $Author$
+:HeadURL: $HeadURL$
 
 .. contents:: Table of Contents
Index: trunk/docs/kernel/install-prerequisites.txt
===================================================================
--- trunk/docs/kernel/install-prerequisites.txt	(revision 270)
+++ trunk/docs/kernel/install-prerequisites.txt	(revision 271)
@@ -3,4 +3,9 @@
 Prerequisites
 =============
+
+:Last Updated: $Date$
+:Id:    $Id$
+:Author: $Author$
+:HeadURL: $HeadURL$
 
 .. contents:: Table of Contents
Index: trunk/docs/kernel/install-unix.txt
===================================================================
--- trunk/docs/kernel/install-unix.txt	(revision 270)
+++ trunk/docs/kernel/install-unix.txt	(revision 271)
@@ -3,4 +3,9 @@
 Unix
 ====
+
+:Last Updated: $Date$
+:Id:    $Id$
+:Author: $Author$
+:HeadURL: $HeadURL$
 
 .. contents:: Table of Contents
Index: trunk/docs/kernel/install-windows.txt
===================================================================
--- trunk/docs/kernel/install-windows.txt	(revision 270)
+++ trunk/docs/kernel/install-windows.txt	(revision 271)
@@ -3,4 +3,9 @@
 Windows
 =======
+
+:Last Updated: $Date$
+:Id:    $Id$
+:Author: $Author$
+:HeadURL: $HeadURL$
 
 .. contents:: Table of Contents
Index: trunk/docs/kernel/installation.txt
===================================================================
--- trunk/docs/kernel/installation.txt	(revision 270)
+++ trunk/docs/kernel/installation.txt	(revision 271)
@@ -3,4 +3,9 @@
 Installation
 ============
+
+:Last Updated: $Date$
+:Id:    $Id$
+:Author: $Author$
+:HeadURL: $HeadURL$
 
 This page provides documentation on how to compile then install the ZOO Kernel on Unix, Windows, and Mac OS X platforms.
Index: trunk/docs/kernel/introduction.txt
===================================================================
--- trunk/docs/kernel/introduction.txt	(revision 270)
+++ trunk/docs/kernel/introduction.txt	(revision 271)
@@ -3,4 +3,9 @@
 Introduction
 ============
+
+:Last Updated: $Date$
+:Id:    $Id$
+:Author: $Author$
+:HeadURL: $HeadURL$
 
 ZOO Kernel is the heart of the ZOO. It is a powerful server-side C Kernel which makes 
Index: trunk/docs/services/examples.txt
===================================================================
--- trunk/docs/services/examples.txt	(revision 270)
+++ trunk/docs/services/examples.txt	(revision 271)
@@ -3,4 +3,9 @@
 Service Examples
 ================
+
+:Last Updated: $Date$
+:Id:    $Id$
+:Author: $Author$
+:HeadURL: $HeadURL$
 
 GDAL ZOO Service
Index: trunk/docs/services/howtos.txt
===================================================================
--- trunk/docs/services/howtos.txt	(revision 270)
+++ trunk/docs/services/howtos.txt	(revision 271)
@@ -3,4 +3,9 @@
 How To Setup ZOO Services
 =========================
+
+:Last Updated: $Date$
+:Id:    $Id$
+:Author: $Author$
+:HeadURL: $HeadURL$
 
 ZOO Services are quiet easy to create once you have install ZOO Kernel and that you have 
Index: trunk/docs/services/zcfg-reference.txt
===================================================================
--- trunk/docs/services/zcfg-reference.txt	(revision 270)
+++ trunk/docs/services/zcfg-reference.txt	(revision 271)
@@ -2,5 +2,10 @@
     
 ZCFG : the ZOO Service Configuration File
-=========================================    
+=========================================  
+
+:Last Updated: $Date$
+:Id:    $Id$
+:Author: $Author$
+:HeadURL: $HeadURL$  
 
 .. contents:: Table of Contents